Bug 982263 - [abrt] pgadmin3-1.16.0-1.fc18: deallocate: Process /usr/bin/pgadmin3 was killed by signal 6 (SIGABRT)
[abrt] pgadmin3-1.16.0-1.fc18: deallocate: Process /usr/bin/pgadmin3 was kill...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pgadmin3 (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Devrim GÜNDÜZ
Fedora Extras Quality Assurance
abrt_hash:9bd31d00ec0af33018ba445a676...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 10:03 EDT by Patrick Oltmann
Modified: 2014-02-05 17:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:05:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.58 KB, text/plain)
2013-07-08 10:03 EDT, Patrick Oltmann
no flags Details
File: cgroup (131 bytes, text/plain)
2013-07-08 10:03 EDT, Patrick Oltmann
no flags Details
File: core_backtrace (6.50 KB, text/plain)
2013-07-08 10:03 EDT, Patrick Oltmann
no flags Details
File: dso_list (10.98 KB, text/plain)
2013-07-08 10:03 EDT, Patrick Oltmann
no flags Details
File: environ (1.19 KB, text/plain)
2013-07-08 10:03 EDT, Patrick Oltmann
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-08 10:03 EDT, Patrick Oltmann
no flags Details
File: maps (55.45 KB, text/plain)
2013-07-08 10:03 EDT, Patrick Oltmann
no flags Details
File: open_fds (1.06 KB, text/plain)
2013-07-08 10:03 EDT, Patrick Oltmann
no flags Details
File: proc_pid_status (947 bytes, text/plain)
2013-07-08 10:03 EDT, Patrick Oltmann
no flags Details
File: xsession_errors (8.48 KB, text/plain)
2013-07-08 10:03 EDT, Patrick Oltmann
no flags Details

  None (edit)
Description Patrick Oltmann 2013-07-08 10:03:08 EDT
Description of problem:
Attempted to change user passowrd via pgAdmin III. Not tested for reproducibility.

Version-Release number of selected component:
pgadmin3-1.16.0-1.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/pgadmin3
crash_function: deallocate
executable:     /usr/bin/pgadmin3
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Jul  8 15:50:50 osmium abrt[31550]: Saved core dump of pid 31202 (/usr/bin/pgadmin3) to /var/tmp/abrt/ccpp-2013-07-08-15:50:50-31202 (56692736 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 deallocate at /usr/include/c++/4.7.2/ext/new_allocator.h:100
 #7 _M_put_node at /usr/include/c++/4.7.2/bits/stl_tree.h:373
 #8 _M_destroy_node at /usr/include/c++/4.7.2/bits/stl_tree.h:395
 #9 _M_erase_aux at /usr/include/c++/4.7.2/bits/stl_tree.h:1498
 #10 erase at /usr/include/c++/4.7.2/bits/stl_tree.h:787
 #11 std::_Rb_tree<_GtkWidget*, std::pair<_GtkWidget* const, Oxygen::ArrowStateData>, std::_Select1st<std::pair<_GtkWidget* const, Oxygen::ArrowStateData> >, std::less<_GtkWidget*>, std::allocator<std::pair<_GtkWidget* const, Oxygen::ArrowStateData> > >::_M_erase_aux at /usr/include/c++/4.7.2/bits/stl_tree.h:1512
 #12 erase at /usr/include/c++/4.7.2/bits/stl_tree.h:804
 #15 Oxygen::DataMap<Oxygen::ArrowStateData>::erase at /usr/src/debug/oxygen-gtk2-1.3.4/src/animations/oxygendatamap.h:108
 #16 Oxygen::GenericEngine<Oxygen::ArrowStateData>::unregisterWidget at /usr/src/debug/oxygen-gtk2-1.3.4/src/animations/oxygengenericengine.h:72
 #17 Oxygen::Animations::unregisterWidget at /usr/src/debug/oxygen-gtk2-1.3.4/src/animations/oxygenanimations.cpp:197
Comment 1 Patrick Oltmann 2013-07-08 10:03:13 EDT
Created attachment 770500 [details]
File: backtrace
Comment 2 Patrick Oltmann 2013-07-08 10:03:16 EDT
Created attachment 770501 [details]
File: cgroup
Comment 3 Patrick Oltmann 2013-07-08 10:03:21 EDT
Created attachment 770502 [details]
File: core_backtrace
Comment 4 Patrick Oltmann 2013-07-08 10:03:25 EDT
Created attachment 770504 [details]
File: dso_list
Comment 5 Patrick Oltmann 2013-07-08 10:03:32 EDT
Created attachment 770505 [details]
File: environ
Comment 6 Patrick Oltmann 2013-07-08 10:03:36 EDT
Created attachment 770506 [details]
File: limits
Comment 7 Patrick Oltmann 2013-07-08 10:03:41 EDT
Created attachment 770507 [details]
File: maps
Comment 8 Patrick Oltmann 2013-07-08 10:03:43 EDT
Created attachment 770508 [details]
File: open_fds
Comment 9 Patrick Oltmann 2013-07-08 10:03:46 EDT
Created attachment 770510 [details]
File: proc_pid_status
Comment 10 Patrick Oltmann 2013-07-08 10:03:50 EDT
Created attachment 770511 [details]
File: xsession_errors
Comment 11 Fedora End Of Life 2013-12-21 09:16:35 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 17:05:12 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.